%global lit_version 17.0.6
#global rc_ver 1
#global post_ver 0

%bcond_with check

Name: python-lit
Version: %{lit_version}%{?rc_ver:~rc%{rc_ver}}
Release: %mkrel %{?rc_ver:0.}1%{?rc_ver:.rc%{rc_ver}}
BuildArch: noarch

License: NCSA
Group: Development/Python
Summary: Tool for executing llvm test suites
URL: https://pypi.python.org/pypi/lit
Source0: %{pypi_source lit %{lit_version}%{?rc_ver:rc%{rc_ver}}%{?post_ver:.post%{post_ver}}}

# for file check
%if %{with check}
BuildRequires: llvm-test
%endif
BuildRequires: python3-devel

%description
lit is a tool used by the LLVM project for executing its test suites.

%package -n python3-lit
Summary: LLVM lit test runner for Python 3
Group: Development/Python
Requires: python3-setuptools
Recommends: python3-psutil

%description -n python3-lit
lit is a tool used by the LLVM project for executing its test suites.

%prep
%autosetup -n lit-%{lit_version}%{?rc_ver:rc%{rc_ver}}%{?post_ver:.post%{post_ver}} -p4

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files lit

# Strip out #!/usr/bin/env python
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/lit/*.py

%if %{with check}
%check
%{__python3} lit.py -v tests
%endif

%files -n python3-lit -f %{pyproject_files}
%license LICENSE.TXT
%doc README.rst
%{_bindir}/lit



%changelog
* Sun Dec 17 2023 papoteur <papoteur> 17.0.6-1.mga10
+ Revision: 2018689
- new 17.0.6
- adapt to pyproject

* Thu Dec 08 2022 tv <tv> 15.0.6-1.mga9
+ Revision: 1919418
- Update to LLVM 15.0.6

* Fri Nov 04 2022 tv <tv> 15.0.1-1.mga9
+ Revision: 1902611
- Update to lit 15.0.1

* Fri Oct 21 2022 tv <tv> 15.0.0-2.mga9
+ Revision: 1898157
- Recommends python3-psutil to avoid runtime warning

* Wed Sep 21 2022 tv <tv> 15.0.0-1.mga9
+ Revision: 1891061
- Update to lit 15.0.0

* Mon May 23 2022 tv <tv> 14.0.3-1.mga9
+ Revision: 1859928
- 14.0.3 Release

* Wed Mar 30 2022 tv <tv> 14.0.0-1.mga9
+ Revision: 1834907
- Update to LLVM 14.0.0

* Sat Feb 12 2022 tv <tv> 13.0.1-3.mga9
+ Revision: 1773602
- Rebuild for python-3.10

* Sat Feb 05 2022 tv <tv> 13.0.1-2.mga9
+ Revision: 1771590
- Update to 13.0.1 final

* Tue Jan 11 2022 tv <tv> 13.0.0-2.mga9
+ Revision: 1767910
- Backport patch 46c947af7 for build reproducibility

* Fri Oct 22 2021 tv <tv> 13.0.0-1.mga9
+ Revision: 1752664
- 13.0.0 Release

* Mon Jul 19 2021 tv <tv> 12.0.1-1.mga9
+ Revision: 1737070
- 12.0.1

* Thu May 06 2021 tv <tv> 12.0.0-1.mga9
+ Revision: 1721720
- 12.0.0 final release

* Thu Mar 18 2021 neoclust <neoclust> 12.0.0-0.3.rc1.mga9
+ Revision: 1704399
- Rebuild against python 3.9
- Rebuild against python 3.9

* Sun Feb 28 2021 tv <tv> 12.0.0-0.2.rc1.mga9
+ Revision: 1693221
- 12.0.0 rc1 Release

* Wed Jan 06 2021 tv <tv> 0.11.1-2.rc2.mga8
+ Revision: 1669237
- 0.11.1 rc2 Release

* Thu Dec 03 2020 tv <tv> 0.11.1-1.rc1.mga8
+ Revision: 1652057
- 0.11.1 rc1 Release

* Wed Nov 25 2020 tv <tv> 0.11.0-1.mga8
+ Revision: 1649352
- 11.0.0
- 0.11.0 rc1 Release

* Thu Apr 09 2020 tv <tv> 0.10.0-1.mga8
+ Revision: 1565858
- 0.10.0 final release

* Mon Feb 17 2020 umeabot <umeabot> 0.10.0-0.2.mga8
+ Revision: 1537508
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 tv <tv> 0.10.0-0.1.mga8
+ Revision: 1536892
- 0.10.0 RC1

* Thu Oct 31 2019 tv <tv> 0.9.0-1.mga8
+ Revision: 1457199
- new release

* Wed Sep 11 2019 tv <tv> 0.7.0-3.mga8
+ Revision: 1439596
- drop python2 subpkg
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 0.7.0-2.mga7
+ Revision: 1351608
- rebuild with python 3.7

* Fri Oct 12 2018 tv <tv> 0.7.0-1.mga7
+ Revision: 1319914
- new version (for clang testsuite)

* Thu Sep 20 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1289171
- Mageia 7 Mass Rebuild

* Thu Oct 19 2017 tv <tv> 0.5.1-1.mga7
+ Revision: 1172685
- new release (needed for clang-5.0)
- new release

* Thu Sep 21 2017 tv <tv> 0.5.0-2.mga7
+ Revision: 1156760
- fix group
- imported package python-lit


* Thu Sep 21 2017 Thierry Vignaud <tv@mageia.org> 0.5.0-1.mga7
- import from FC

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 09 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-1
- Initial version
